package ovh.herisson.Clyde.Repositories;

import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;
import ovh.herisson.Clyde.Tables.Course;
import ovh.herisson.Clyde.Tables.Cursus;
import ovh.herisson.Clyde.Tables.CursusCourse;

public interface CursusCourseRepository extends CrudRepository<CursusCourse,Long> {


    //todo faire custom query pour trouver tous les cours d'un cursus par un cursusId

    @Query("select distinct cc.course from CursusCourse cc where cc.cursus = ?1")
    Iterable<Course> findCoursesByCursus(Cursus cursus);


    @Query("select distinct cc.cursus from  CursusCourse cc")
    Iterable<Cursus> findDistinctCursuses();
}
